/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/31
 */
package org.ts.ddcs.metadata.szy;

/*** 
 * Date:2023/10/31
 * Title: 水质数据定义说明
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum SzyWaterQualityMetadataEnum {
    /**
     * 接收时间
     */
    METADATA_FROM_TIME(0, "from_time"),

    /**
     * 采集时间
     */
    METADATA_COLLECT_TIME(1, "tm"),

    /**
     * 上报时间
     */
    METADATA_UP_TIME(2, "up_time"),

    /**
     * 测站编码
     */
    METADATA_RTU_CODE(3, "rtu_code"),

    /**
     * 水温
     */
    METADATA_CODE_WT(4, "wt"),

    /**
     * pH 值
     */
    METADATA_CODE_PH(5, "ph"),

    /**
     * 溶解氧
     */
    METADATA_CODE_DOX(6, "dox"),

    /**
     * 高锰酸盐指数
     */
    METADATA_CODE_CODMN(7, "codmn"),

    /**
     * 电导率
     */
    METADATA_CODE_COND(8, "cond"),

    /**
     * 氧化还原电位
     */
    METADATA_CODE_ORP(9, "orp"),

    /**
     * 浊度
     */
    METADATA_CODE_TURB(10, "turb"),

    /**
     * 化学需氧量
     */
    METADATA_CODE_CODCR(11, "codcr"),

    /**
     * 五日生化需氧量
     */
    METADATA_CODE_CODCR_5D(12, "codcr_5d"),

    /**
     * 氨氮
     */
    METADATA_CODE_NH3N(13, "nh3n"),

    /**
     * 总氮
     */
    METADATA_CODE_TN(14, "tn"),

    /**
     * 铜
     */
    METADATA_CODE_CU(15, "cu"),

    /**
     * 锌
     */
    METADATA_CODE_ZN(16, "zn"),

    /**
     * 氟化物
     */
    METADATA_CODE_F(17, "f"),

    /**
     * 硒
     */
    METADATA_CODE_SE(18, "se"),

    /**
     * 砷
     */
    METADATA_CODE_ARS(19, "ars"),

    /**
     * 汞
     */
    METADATA_CODE_HG(20, "hg"),

    /**
     * 镉
     */
    METADATA_CODE_CD(21, "cd"),

    /**
     * 六价铬
     */
    METADATA_CODE_CR6(22, "cr6"),

    /**
     * 铅
     */
    METADATA_CODE_PB(23, "pb"),

    /**
     * 氰化物
     */
    METADATA_CODE_CYN(24, "cyn"),

    /**
     * 挥发酚
     */
    METADATA_CODE_VH(25, "vh"),

    /**
     * 苯酚
     */
    METADATA_CODE_C6H5OH(26, "c6h50h"),

    /**
     * 硫化物
     */
    METADATA_CODE_COS(27, "cos"),

    /**
     * 粪大肠菌群
     */
    METADATA_CODE_EPEC(28, "epec"),

    /**
     * 硫酸盐
     */
    METADATA_CODE_NaSO4(29, "nas04"),

    /**
     * 氯化物
     */
    METADATA_CODE_CL(30, "cl"),

    /**
     * 硝酸盐氮
     */
    METADATA_CODE_NO3(31, "no3"),

    /**
     * 铁
     */
    METADATA_CODE_FE(32, "fe"),

    /**
     * 锰
     */
    METADATA_CODE_MN(33, "mn"),

    /**
     * 石油类
     */
    METADATA_CODE_OIL(34, "oil"),

    /**
     * 阴离子表面活性剂
     */
    METADATA_CODE_AS(35, "as"),

    /**
     * 六六六
     */
    METADATA_CODE_SIXSIXSIX(36, "sixsixsix"),

    /**
     * 滴滴涕
     */
    METADATA_CODE_DDT(37, "ddt"),

    /**
     * 有机氯农药
     */
    METADATA_CODE_OCPs(38, "ocps"),

    /**
     * 总磷
     */
    METADATA_CODE_TP(39, "tp"),

    /**
     * 叶绿素
     */
    METADATA_CODE_CHLA(40, "chla");

    private int code;

    private String name;

    SzyWaterQualityMetadataEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据CODE查名称
     *
     * @param code
     * @return
     */
    public static String getName(int code) {
        for (SzyWaterQualityMetadataEnum point : SzyWaterQualityMetadataEnum.values()) {
            if (point.code == code) {
                return point.name;
            }
        }
        return "";
    }

    /**
     * 根据名称查代码
     *
     * @param name
     * @return
     */
    public static int getCode(String name) {
        for (SzyWaterQualityMetadataEnum point : SzyWaterQualityMetadataEnum.values()) {
            if (point.name.equals(name)) {
                return point.code;
            }
        }
        return -1;
    }
}
